require sysmocom-image.inc

IMAGE_INSTALL_append = " task-sysmocom "

# This variant of the image will run osmo-bts and osmo-nitb
activate_nitb() {
	echo "NO_START=0" > ${IMAGE_ROOTFS}/etc/default/osmo-nitb
}

activate_systemd_nitb() {
	ln -sf ${systemd_system_unitdir}/osmo-nitb.service ${IMAGE_ROOTFS}/etc/systemd/system/multi-user.target.wants/
}

IMAGE_PREPROCESS_COMMAND += "${@bb.utils.contains('DISTRO_FEATURES','systemd','activate_systemd_nitb','activate_nitb',d)}; "
